Bug 989424 - RFE: support spaces in Provides
RFE: support spaces in Provides
Status: NEW
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 578256
  Show dependency treegraph
 
Reported: 2013-07-29 05:06 EDT by Daniel Mach
Modified: 2018-06-21 05:03 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Mach 2013-07-29 05:06:41 EDT
I wanted to add extra Provides to the system-release package, for example:
Provides: system-release(codename): Schrödinger’s Cat
I did not get what I expected...


Provides: system-release(codename): Schrödinger’s Cat
->
error: line 20: Illegal char in: Provides:       system-release(codename) = Schrödinger’s Cat


Provides: system-release(codename): Schrodingers Cat
->
system-release(codename) = Schrödinger’s
Cat


Provides:       system-release(codename) = "Schrodingers Cat"
error: line 20: Illegal char '"' in: Provides:       system-release(codename) = "Schrodingers Cat"



I know my use case is not typical, but still I think it should be considered valid. Provides should be able to cope with almost any characters, considering they're properly escaped or quoted.
Comment 1 Harald Hoyer 2014-08-13 06:12:47 EDT
Please also allow:

Provides: "/usr/bin/foo - bar - 1.0"

Note You need to log in before you can comment on or make changes to this bug.